#ifndef DUP_H
#define DUP_H

///////////////////////////////////////////////////////////////
//                                                           //
// dup.h - traverse subtree below specified Directory,       //
//         record duplicated file names and display them.    //
//                                                           //
//                                                           //
// Developed By Qiang Zheng From Dr. Fawcett's example.		 //
// Apr. 08 1999												 //
//															 //
///////////////////////////////////////////////////////////////

#include <iostream>
#include <iomanip>
#include <cstring> 
#include <windows.h>
#include <string.h>
#include "dirNav.h"

using namespace std;

// This virtual class is the base class of required "CLEAN" and "DUPS"
// class, i.e. it is a public interface	
class dup : public dirNav {
	set< string > fList;
	map< string , list< string > > fileNpaths;
public:
	dup() {}
	~dup() {}
	// Implement the virtual functions in dirNav class

	// Do nothing when navigator enters a directory
	inline void enterDir() { }

	// Pop user's instruction off the userReplayStack when leaving a directory
	inline void leaveDir() { }

	// Special actions to be performed when files are encountered
	void processFile(const char * fName);

	// void performF( const char * fName, const char userAnswer );
};

#endif